<!DOCTYPE html>
<html lang="it">
<head>
<!-- TITLE -->
<title>Cyber Security - APP-IO</title>
<script>
	function loadInfo(){
		let accessToken = document.getElementById('access-token').value;
		
		if (accessToken != '') {
			let link = window.location.href;

			let indexAccessToken = link.indexOf("?accessToken=");
			if(indexAccessToken != -1){
				link = link.substring(0, indexAccessToken);
			}
			link = link +"?accessToken="+accessToken;
			window.location.href=link;
		}
	}
	</script>
	<style>
		table, th, td {
		  border: 1px solid black;
		}
	</style>
</head>
<body>
	<table>
		<tr>
			<td>Insert token here:</td>
			{#if pageContents.accessToken != null}
				<td><input placeholder="Access Token..." id="access-token" value="{pageContents.accessToken}" style="width:1000px"></td>
			{#else}
				<td><input placeholder="Access Token..." id="access-token" style="width:1000px"></td>	
			{/if}
			<td>
				<button type="button" onclick="loadInfo()">load</button> 
			</td>
		</tr>
	</table>
	{#if pageContents.personalInfo != null}
	<br/>
	<br/>
	<h1>Personal Information:</h1>
	<table>
		<tr>
			<td>
				Name:
			</td>
			<td>
				{pageContents.personalInfo.name}
			</td>
			<td>
				Surname:
			</td>
			<td>
				{pageContents.personalInfo.surname}
			</td>
		</tr>
		<tr>
			<td>
				Fiscal Code:
			</td>
			<td>
				{pageContents.personalInfo.fiscalCode}
			</td>
			<td>
				Email:
			</td>
			<td>
				{pageContents.personalInfo.email}
			</td>
		</tr>
		<tr>
			<td>
				Birth Date:
			</td>
			<td>
				{pageContents.personalInfo.birthDate}
			</td>
			<td>
			</td>
			<td>
			</td>
		</tr>
	</table>
	{/if}
	{#if pageContents.creditCards != null}
		<br/>
		<br/>
		<div>
			<h1>Credit Cards:</h1>
			<ul>
			{#for creditCard in pageContents.creditCards}
				<li>
					{creditCard.walletType} - {creditCard.brand} - {creditCard.holder} - {creditCard.blurredNumber} - {creditCard.expireMonth} - {creditCard.expireYear}
				</li>
			{/for}
			</ul>
		</div>
	{/if}
	{#if pageContents.transactions != null}
		<br/>
		<br/>
		<div>
			<h1>Last 20 Transactions:</h1>
			<table>
				<tr>
					<th>Merchant</th>
					<th>Created</th>
					<th>Amount (&#8364;)</th>
					<th>Fee (&#8364;)</th>
					<th>Status</th>
					<th>PSP</th>
				</tr>
				{#for transaction in pageContents.transactions}
					<tr>
						<td>{transaction.merchant}</td>
						<td>{transaction.created}</td>
						<td>{transaction.amount}</td>
						<td>{transaction.fee}</td>
						<td>{transaction.statusMessage}</td>
						<td>{transaction.psp}</td>
					</tr>
				{/for}
			</table>
		</div>
	{/if}
	{#if pageContents.messages != null}
		<br/>
		<br/>
		<div>
			<h1>Last 20 Messages:</h1>
			<table>
				<tr>
					<th>Category</th>
					<th>Title</th>
					<th>Organization</th>
					<th>Service</th>
				</tr>
				{#for message in pageContents.messages}
					<tr>
						<td>{message.category}</td>
						<td>{message.title}</td>
						<td>{message.organization}</td>
						<td>{message.service}</td>
					</tr>
				{/for}
			</table>
		</div>
	{/if}
	{#if pageContents.certificates != null}
		<br/>
		<br/>
		<div>
			<h1>Certificates found:</h1>
			<table>
				<tr>
					<th>Subject</th>
					<th>Created at</th>
					<th>Title</th>
					<th>Info</th>
					<th>Status</th>
					<th>QR code</th>
				</tr>
				{#for certificate in pageContents.certificates}
					<tr>
						<td>{certificate.subject}</td>
						<td>{certificate.createdAt}</td>
						<td>{certificate.title}</td>
						<td>{certificate.info}</td>
						<td>{certificate.status}</td>
						<td>
							{#if certificate.qrCode != null}
								<img src="data:image/png;base64,{certificate.qrCode}">
							{/if}
						</td>
					</tr>
				{/for}
			</table>
		</div>
	{/if}
	{#if pageContents.vacationBonuses != null}
		<br/>
		<br/>
		<div>
			<h1>Vacation Bonuses:</h1>
			<table>
				<tr>
					<th>Created at</th>
					<th>ISEE type</th>
					<th>Max amount (&#8364;)</th>
					<th>Max Tax Benefit (&#8364;)</th>
					<th>Status</th>
					<th>QR code</th>
				</tr>
				{#for vacationBonus in pageContents.vacationBonuses}
					<tr>
						<td>{vacationBonus.createdAt}</td>
						<td>{vacationBonus.iseeType}</td>
						<td>{vacationBonus.maxAmount}</td>
						<td>{vacationBonus.maxTaxBenefit}</td>
						<td>{vacationBonus.status}</td>
						<td><img src="data:image/png;base64,{vacationBonus.qrCode}"></td>
					</tr>
				{/for}
			</table>
		</div>
	{/if}
</body>
</html>